namespace _2023._11._29;

public class Alak
{
    public virtual void Rajzol()
    {
        System.Console.WriteLine("Alakzat rajzolása.");
    }
}

public class Kor: Alak
{
    public override void Rajzol()
    {
        System.Console.WriteLine("Kör rajzolása.");
    }
}

public class Teglalap: Alak
{
    public override void Rajzol()
    {
        System.Console.WriteLine("Téglalap rajzolása.");
    }
}

/*
Ebben a példában az Alak szülőosztály tartalmaz egy Rajzol metódust, amely a virtual kulcsszóval lett megjelölve. A Kor és Teglalap 
osztályok felülírják (override) ezt a metódust, és saját specifikus rajzolási műveletet végeznek.

A Main metódusban példányosítunk egy Alak, egy Kor, és egy Teglalap objektumot

*/